Subject: Scope_Id and Connect

From: "C i j u O. B a b y" <[email-masked]>
Date: Fri, 29 Aug 2003 19:53:07 +0530

Dear All,

        I am involved in the development of an application with IPv6
protocol support . I encounterd a problem which i will explain .

    Suppose  i want to connect to a Server Socket through the interface
index X, i have to use the Scope_Id (member of struct sockaddr_in6)as  X-1.
Again when i have to send a datagram packet through the same interface i
must use the scope_id X .
Here X is the index that i got from the call RTNETLINK.

    My machine is Redhat 7.2 with only one network interface card.

    Please help me with your replies . Am I wrong somewhere .Also please
respond if my query is not clear .

Regards
Ciju O. Baby